org.jbpm.workflow.instance.node

## Class MilestoneNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance
      - - org.jbpm.workflow.instance.node.MilestoneNodeInstance

- All Implemented Interfaces:
    Serializable, EventBasedNodeInstanceInterface, org.kie.api.event.rule.AgendaEventListener, org.kie.api.runtime.process.EventListener, org.kie.api.runtime.process.NodeInstance

      public class MilestoneNodeInstance
      extends StateBasedNodeInstance
      implements org.kie.api.event.rule.AgendaEventListener

  Runtime counterpart of a milestone node.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

    - ### Nested classes/interfaces inherited from interface org.jbpm.workflow.instance.NodeInstance

      `NodeInstance.CancelType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancelType, dynamicParameters, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MilestoneNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListeners()`
    `void` | `afterMatchFired(org.kie.api.event.rule.AfterMatchFiredEvent event)`
    `void` | `afterRuleFlowGroupActivated(org.kie.api.event.rule.RuleFlowGroupActivatedEvent event)`
    `void` | `afterRuleFlowGroupDeactivated(org.kie.api.event.rule.RuleFlowGroupDeactivatedEvent event)`
    `void` | `agendaGroupPopped(org.kie.api.event.rule.AgendaGroupPoppedEvent event)`
    `void` | `agendaGroupPushed(org.kie.api.event.rule.AgendaGroupPushedEvent event)`
    `void` | `beforeMatchFired(org.kie.api.event.rule.BeforeMatchFiredEvent event)`
    `void` | `beforeRuleFlowGroupActivated(org.kie.api.event.rule.RuleFlowGroupActivatedEvent event)`
    `void` | `beforeRuleFlowGroupDeactivated(org.kie.api.event.rule.RuleFlowGroupDeactivatedEvent event)`
    `String` | `getActivationEventType()`
    `protected MilestoneNode` | `getMilestoneNode()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `void` | `matchCancelled(org.kie.api.event.rule.MatchCancelledEvent event)`
    `void` | `matchCreated(org.kie.api.event.rule.MatchCreatedEvent event)`
    `void` | `removeEventListeners()`
    `void` | `signalEvent(String type, Object event)`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `addTimerListener, cancel, checkDeclarationMatch, checkProcessInstance, configureSla, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getEventTypes, getTimerInstances, handleSLAViolation, internalSetTimerInstances, mapDynamicOutputData, registerBoundaryEvents, resolveVariable, triggerCompleted, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, handleAssignment, mapOutputSetVariables, mapOutputSetVariables, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, executeAction, followConnection, getCancelType, getExecutionErrorHandler, getFrom, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, isInversionOfControl, resolveContext, resolveContextInstance, resolveContextInstance, retrigger, setAborted, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MilestoneNodeInstance

          public MilestoneNodeInstance()

  - ### Method Detail

    - #### getMilestoneNode

          protected MilestoneNode getMilestoneNode()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Overrides:
        `internalTrigger` in class `StateBasedNodeInstance`

    - #### addEventListeners

          public void addEventListeners()

      Specified by:
        `addEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `addEventListeners` in class `StateBasedNodeInstance`

    - #### removeEventListeners

          public void removeEventListeners()

      Specified by:
        `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `removeEventListeners` in class `StateBasedNodeInstance`

    - #### getActivationEventType

          public String getActivationEventType()

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.EventListener`
      Overrides:
        `signalEvent` in class `StateBasedNodeInstance`

    - #### matchCreated

          public void matchCreated(org.kie.api.event.rule.MatchCreatedEvent event)

      Specified by:
        `matchCreated` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### matchCancelled

          public void matchCancelled(org.kie.api.event.rule.MatchCancelledEvent event)

      Specified by:
        `matchCancelled` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### afterMatchFired

          public void afterMatchFired(org.kie.api.event.rule.AfterMatchFiredEvent event)

      Specified by:
        `afterMatchFired` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### agendaGroupPopped

          public void agendaGroupPopped(org.kie.api.event.rule.AgendaGroupPoppedEvent event)

      Specified by:
        `agendaGroupPopped` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### agendaGroupPushed

          public void agendaGroupPushed(org.kie.api.event.rule.AgendaGroupPushedEvent event)

      Specified by:
        `agendaGroupPushed` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### beforeMatchFired

          public void beforeMatchFired(org.kie.api.event.rule.BeforeMatchFiredEvent event)

      Specified by:
        `beforeMatchFired` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### afterRuleFlowGroupActivated

          public void afterRuleFlowGroupActivated(org.kie.api.event.rule.RuleFlowGroupActivatedEvent event)

      Specified by:
        `afterRuleFlowGroupActivated` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### afterRuleFlowGroupDeactivated

          public void afterRuleFlowGroupDeactivated(org.kie.api.event.rule.RuleFlowGroupDeactivatedEvent event)

      Specified by:
        `afterRuleFlowGroupDeactivated` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### beforeRuleFlowGroupActivated

          public void beforeRuleFlowGroupActivated(org.kie.api.event.rule.RuleFlowGroupActivatedEvent event)

      Specified by:
        `beforeRuleFlowGroupActivated` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### beforeRuleFlowGroupDeactivated

          public void beforeRuleFlowGroupDeactivated(org.kie.api.event.rule.RuleFlowGroupDeactivatedEvent event)

      Specified by:
        `beforeRuleFlowGroupDeactivated` in interface `org.kie.api.event.rule.AgendaEventListener`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.